# Novita AI Vidu Q1 Text to Video API | Generate videos from prompts

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q1-text2video

# Vidu Q1 Text to Video

POST

/

v3

/

async

/

vidu-q1-text2video

Try it

Vidu Q1 Text to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q1-text2video \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"style": "&#x3C;string>",
"duration": 123,
"seed": 123,
"aspect_ratio": "&#x3C;string>",
"resolution": "&#x3C;string>",
"movement_amplitude": "&#x3C;string>",
"bgm": true
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Vidu Q1 Text to Video generates smooth and seamless videos by utilizing keyframes to maintain consistent themes.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

required

Text prompt for video generation, with a maximum length of 1500 characters.

[​](#param-style)

style

string

The style of output video. Default: `general`

Accepted values: `general`, `anime`

- `general`: General style. Allows style control through prompts

- `anime`: Anime style. Optimized for anime aesthetics, with better performance for anime-related prompts

[​](#param-duration)

duration

integer

Video duration in seconds. Default is 5 seconds, with `5` being the only available option.

[​](#param-seed)

seed

integer

Random seed for video generation.

- Defaults to a random seed number

- Manually set values will override the default random seed

[​](#param-aspect-ratio)

aspect_ratio

string

The aspect ratio of the output video. Default: `16:9`

Accepted values: `16:9`, `9:16`, `1:1`

[​](#param-resolution)

resolution

string

Output video resolution. Default is 1080p, with `1080p` as the only option available.

[​](#param-movement-amplitude)

movement_amplitude

string

The movement amplitude of objects in the frame. Default: `auto`

Accepted values: `auto`, `small`, `medium`, `large`

[​](#param-bgm)

bgm

boolean

Whether to add background music to the generated video. Default: `false`

Acceptable values: `true`, `false`When true, the system will automatically add a suitable BGM. BGM has no time limit and the system automatically adapts.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on January 14, 2026
